<%@ Page language="c#" AutoEventWireup="false" EnableViewState="false" Inherits="V5Shop.Web.staticpage" %>
<%@ Import namespace="System.Data" %>
<%@ Import namespace="V5Shop.Common" %>
<%@ Import namespace="Microsoft.Practices.EnterpriseLibrary.Caching" %>
<script runat="server">
override protected void OnInit(EventArgs e)
{

	/* 
		This page was created by V5Shop Template Engine at 2009-5-15 23:25:09.
		本页面代码由V5Shop模板引擎生成于 2009-5-15 23:25:09. 
	*/

	base.OnInit(e);
	
	int productsearch__loop__id=0;
	int keysearch__loop__id=0;
	int categorysearch__loop__id=0;
	int categorysecondsearch__loop__id=0;
	int votesearch__loop__id=0;
	int noticesearch__loop__id=0;
	int groupbuysearch__loop__id=0;
	int articlesearch__loop__id=0;
	int activitysearch__loop__id=0;
	int guidesearch__loop__id=0;
	int snatchsearch__loop__id=0;
	int brandsearch__loop__id=0;
	int couponsearch__loop__id=0;
	int helpcategorysearch__loop__id=0;
	int helpsearchbyid__loop__id=0;
	int imglinksearch__loop__id=0;
	int wordlinksearch__loop__id=0;
	int infosearch__loop__id=0;templateBuilder.Append("<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTmL 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">\r\n");
	templateBuilder.Append("<!--Created Page at 2008-8-8 18:47:50,by V5Shop.com.cn   V5Shop Management Systeme 8.0-->\r\n");
	templateBuilder.Append("<html>\r\n");
	templateBuilder.Append("    <head><base href=\"http://localhost/0418/template/default/\" />\r\n");
	templateBuilder.Append("        <meta content=\"text/html;charset=utf-8\" http-equiv=\"Content-Type\" />\r\n");
	templateBuilder.Append("<title>" + shoptitle.ToString() + "</title>\r\n");
	templateBuilder.Append("<meta name=\"keywords\" content=\"" + keywords.ToString() + "\" />\r\n");
	templateBuilder.Append("<meta name=\"description\" content=\"" + description.ToString() + "\" />\r\n");
	templateBuilder.Append("<script language=\"javascript\" src=\"js/common.js\" type=\"text/javascript\"></"+"script>\r\n");
	templateBuilder.Append("<link href=\"css/css.css\" type=\"text/css\" rel=\"stylesheet\" />\r\n");
	templateBuilder.Append("<link rel=\"shortcut icon\" href=\"/0418/favicon.ico\" />\r\n");
	templateBuilder.Append("        <link href=\"css/css.css\" type=\"text/css\" rel=\"stylesheet\" />\r\n");
	templateBuilder.Append("        <link href=\"css/css_index.css\" type=\"text/css\" rel=\"stylesheet\" />\r\n");
	templateBuilder.Append("    </head>\r\n");
	templateBuilder.Append("    <body text=\"#000000\" bottommargin=\"0\" vlink=\"#0000cc\" alink=\"#ff6600\" link=\"#0000cc\" leftmargin=\"0\" topmargin=\"0\" rightmargin=\"0\">\r\n");
	templateBuilder.Append("        <center>\r\n");
	templateBuilder.Append("        <div><div class=\"top1\"><div style=\"height:60px; overflow:hidden; float:left\"><div id=\"newobj\">\r\n");
	
	productsearch__loop__id=0;
	foreach(DataRow productsearch_member in getTable("productsearch","0,5,0,0,OrderID,ASC,0,0,0,[id]$[name]$[srcdetail]$[marketprice]$[memberprice],1,["+wd+"],["+vid+"],["+pid+"],["+brandid+"],[0],[0],["+startprice+"],["+endprice+"],["+shortname+"]").Rows)
	{
	if(productsearch__loop__id == 5 && productsearch__loop__id != 0) break;
		productsearch__loop__id++;
	templateBuilder.Append("<div class='top1l'><div class=\"top1l\">\r\n");
	templateBuilder.Append("<div class=\"top1ll\"><a target=\"_blank\" href=\"/0418/product.aspx?id=" + productsearch_member["id"].ToString() + "\"><img height=\"50\" alt=\"" + left(productsearch_member["name"].ToString(),10) + "\" width=\"50\" border=\"0\" src='" + gettmpimg(productsearch_member["srcdetail"].ToString(),50,50) + "' width='50' height='50'  /></a></div>\r\n");
	templateBuilder.Append("<div class=\"top1lr\"><b><a target=\"_blank\" href=\"/0418/product.aspx?id=" + productsearch_member["id"].ToString() + "\">" + left(productsearch_member["name"].ToString(),10) + "</a></b><br />\r\n");
	templateBuilder.Append("<s>￥" + productsearch_member["marketprice"].ToString() + "</s> &rarr; <font color=\"#ff6600\">￥" + productsearch_member["memberprice"].ToString() + "</font></div>\r\n");
	templateBuilder.Append("</div></div>\r\n");
	
	}	//end loop
	templateBuilder.Append("</div></div><script language=\"javascript\" type=\"text/javascript\">\r\n");
	templateBuilder.Append("var speed1 = 11;\r\n");
	templateBuilder.Append("var start1 = 0;\r\n");
	templateBuilder.Append("var end1 = -60;\r\n");
	templateBuilder.Append("var totolnum = 4;\r\n");
	templateBuilder.Append("var per = -60;\r\n");
	templateBuilder.Append("var timer = 5000;\r\n");
	templateBuilder.Append("function Moveup(){\r\n");
	templateBuilder.Append("var obj1 = document.getElementById(\"newobj\");\r\n");
	templateBuilder.Append("start1 = start1 - speed1\r\n");
	templateBuilder.Append("speed1--;\r\n");
	templateBuilder.Append("obj1.style.marginTop = start1 + \"px\";\r\n");
	templateBuilder.Append("if(start1 > end1){\r\n");
	templateBuilder.Append("setTimeout(\"Moveup()\",6);\r\n");
	templateBuilder.Append("}else{\r\n");
	templateBuilder.Append("if(totolnum*per == end1){\r\n");
	templateBuilder.Append("obj1.style.marginTop = \"0px\";\r\n");
	templateBuilder.Append("start1 = 0;\r\n");
	templateBuilder.Append("end1 = per;\r\n");
	templateBuilder.Append("}else{\r\n");
	templateBuilder.Append("obj1.style.marginTop = end1 + \"px\";\r\n");
	templateBuilder.Append("end1 = end1 + per;\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("speed1 = 11;\r\n");
	templateBuilder.Append("setTimeout(\"Moveup()\",timer);\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("setTimeout(\"Moveup()\",timer);\r\n");
	templateBuilder.Append("</"+"script>\r\n");
	templateBuilder.Append("<div class=\"toplogo\"><a href=\"" + logourl.ToString() + "\"><img alt=\"\" width=\"236\" border=\"0\" src=\"" + logo.ToString() + "\" /></a></div>\r\n");
	templateBuilder.Append("<div class=\"top1r\"><a href=\"/0418/mallindex.aspx\"><img alt=\"\" border=\"0\" src=\"images/top/key_shop.gif\" /></a><a href=\"/0418/articleindex.aspx\"><img alt=\"\" border=\"0\" src=\"images/top/key_events.gif\" /></a><a href=\"/0418/message.aspx\"><img alt=\"\" border=\"0\" src=\"images/top/key_message.gif\" /></a><a href=\"/0418/content.aspx?wd=about\"><img alt=\"\" border=\"0\" src=\"images/top/key_about.gif\" /></a><a href=\"/0418/content.aspx?wd=contact\"><img alt=\"\" border=\"0\" src=\"images/top/key_contact.gif\" /></a></div>\r\n");
	templateBuilder.Append("</div><div class=\"top2\"><div class=\"lanmudefault\"><a href=\"/0418/index.aspx\" name=\"topurl\"><span>首页</span></a></div><div class=\"lanmudefault\"><a href=\"/0418/brandindex.aspx\" name=\"topurl\"><span>品牌</span></a></div><div class=\"lanmudefault\"><a href=\"/0418/activityindex.aspx\" name=\"topurl\"><span>活动</span></a></div><div class=\"lanmudefault\"><a href=\"/0418/guideindex.aspx\" name=\"topurl\"><span>导购</span></a></div><div class=\"lanmudefault\"><a href=\"/0418/couponindex.aspx\" name=\"topurl\"><span>优惠券</span></a></div><div class=\"lanmudefault\"><a href=\"/0418/scoreindex.aspx\" name=\"topurl\"><span>兑换</span></a></div><div class=\"lanmudefault\"><a href=\"/0418/groupbuyindex.aspx\" name=\"topurl\"><span>团购</span></a></div><div class=\"lanmudefault\"><a class=\"end\" href=\"/0418/snatchindex.aspx\" name=\"topurl\"><span>夺宝奇兵</span></a></div><div class=\"top2r\"><script language=\"javascript\">\r\n");
	templateBuilder.Append("function showmenu(){\r\n");
	templateBuilder.Append("    var url = document.URL;\r\n");
	templateBuilder.Append("    \r\n");
	templateBuilder.Append("    var urls = document.getElementsByName(\"topurl\");\r\n");
	templateBuilder.Append("    for(var i=0;i<urls.length;i++){\r\n");
	templateBuilder.Append("        if(urls[i] == url){\r\n");
	templateBuilder.Append("            urls[i].parentNode.className = 'lanmuselect';\r\n");
	templateBuilder.Append("			return;\r\n");
	templateBuilder.Append("        }\r\n");
	templateBuilder.Append("    }\r\n");
	templateBuilder.Append("	\r\n");
	templateBuilder.Append("	urls[0].parentNode.className = 'lanmuselect';\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("\r\n");
	templateBuilder.Append("showmenu();\r\n");
	templateBuilder.Append("</"+"script>\r\n");
	templateBuilder.Append("<script language=\"javascript\" type=\"text/javascript\" src=\"/0418/js_userinfo.aspx?p=" + pagenow.ToString() + "\"></"+"script>&nbsp;&nbsp;&nbsp;&nbsp; <a target=\"_blank\" href=\"/0418/member/\">会员之家</a> | <a target=\"_blank\" href=\"/0418/cart.aspx\">购物车</a> | <a target=\"_blank\" href=\"/0418/helpindex.aspx\">帮助中心</a></div></div><div class=\"top3\">\r\n");
	templateBuilder.Append("  <div class=\"top3m\">\r\n");
	templateBuilder.Append("    <div class=\"top3ml\"><a href=\"/0418/mallindex.aspx\"><img alt=\"\" border=\"0\" src=\"images/top/catelabel.gif\" /></a></div>\r\n");
	templateBuilder.Append("    <div class=\"top3mm\">\r\n");
	templateBuilder.Append("	<script language=\"javascript\">var spath = '/0418/';</"+"script>\r\n");
	templateBuilder.Append("	<script language=\"javascript\" src=\"js/changeType.js\"></"+"script>\r\n");
	templateBuilder.Append("      <form id=\"searchform\" action=\"/0418/list.aspx\" onsubmit=\"changeURL()\">\r\n");
	templateBuilder.Append("        <select id=\"SearchType\" onchange=\"document.getElementById('searchform').action = this.options[this.selectedIndex].value\">\r\n");
	templateBuilder.Append("          <option value=\"/0418/list.aspx\" selected=\"selected\">查询商品</option>\r\n");
	templateBuilder.Append("          <option value=\"/0418/articlelist.aspx\">查询文章</option>\r\n");
	templateBuilder.Append("          <option value=\"/0418/shippingadvice.aspx\">发货通知</option>\r\n");
	templateBuilder.Append("        </select>\r\n");
	templateBuilder.Append("        <input class=\"input\" name=\"wd\" type=\"text\" />\r\n");
	templateBuilder.Append("        <input style=\"vertical-align: bottom\" type=\"image\" src=\"images/top/searchkey.gif\" />\r\n");
	templateBuilder.Append("      </form>\r\n");
	templateBuilder.Append("	  <script language=\"javascript\">ChooseSelect()</"+"script>\r\n");
	templateBuilder.Append("    </div>\r\n");
	templateBuilder.Append("    <div class=\"top3mr\">\r\n");
	
	keysearch__loop__id=0;
	foreach(DataRow keysearch_member in getTable("keysearch","0").Rows)
	{
	if(keysearch__loop__id == 6 && keysearch__loop__id != 0) break;
		keysearch__loop__id++;
	templateBuilder.Append("<a title=\"" + left(keysearch_member["name"].ToString(),6) + "\" href=\"/0418/list.aspx?wd=" + keysearch_member["EncodeName"].ToString() + "\" style=\"color:white;\">" + left(keysearch_member["name"].ToString(),6) + "</a>\r\n");
	
	}	//end loop
	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("  </div>\r\n");
	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("\r\n");
	templateBuilder.Append("\r\n");
	templateBuilder.Append("          <div class=\"top4\"><img alt=\"\" src=\"images/top/catebgt.gif\" /></div>\r\n");
	templateBuilder.Append("\r\n");
	templateBuilder.Append("        \r\n");
	templateBuilder.Append("        </div>\r\n");
	templateBuilder.Append("        <div class=\"div1\">\r\n");
	templateBuilder.Append("        <div class=\"div1l\">\r\n");
	templateBuilder.Append("        <div class=\"catebg\">\r\n");
	templateBuilder.Append("<div class=\"catelist\">\r\n");
	
	categorysearch__loop__id=0;
	foreach(DataRow categorysearch_member in getTable("categorysearch","0,7,0,0,[id]$[name]").Rows)
	{
	if(categorysearch__loop__id == 7 && categorysearch__loop__id != 0) break;
		categorysearch__loop__id++;
	templateBuilder.Append("<div class=''><div class=\"cate\"><a target=\"_blank\" href=\"/0418/category.aspx?id=" + categorysearch_member["id"].ToString() + "\">" + left(categorysearch_member["name"].ToString(),0) + "</a></div>\r\n");
	templateBuilder.Append("<ul>\r\n");
	
	categorysecondsearch__loop__id=0;
	foreach(DataRow categorysecondsearch_member in getTable("categorysecondsearch","["+categorysearch_member["id"]+"],10,0,0,[id]$[name]").Rows)
	{
	if(categorysecondsearch__loop__id == 10 && categorysecondsearch__loop__id != 0) break;
		categorysecondsearch__loop__id++;
	templateBuilder.Append("<li><a target=\"_blank\" href=\"/0418/list.aspx?id=" + categorysecondsearch_member["id"].ToString() + "\">" + left(categorysecondsearch_member["name"].ToString(),30) + "</a></li>\r\n");
	
	if((categorysecondsearch__loop__id % 1 == 0)){
	templateBuilder.Append("</ul><ul>\r\n");
	
	}	//end if
	templateBuilder.Append("\r\n");
	
	}	//end loop
	templateBuilder.Append("</ul></div>\r\n");
	
	}	//end loop
	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("<div class=\"catebgb\"><a href=\"/0418/mallindex.aspx\"><img height=\"15\" alt=\"\" width=\"65\" border=\"0\" src=\"images/index/morekey.gif\" /></a></div>\r\n");
	templateBuilder.Append("<div class=\"div1dbqbt\"><div><a target=\"_blank\" href=\"/0418/poll.aspx\"><img border=\"0\" alt=\"\" src=\"images/index/dbqbkey.gif\" /></a></div></div> <div class=\"div1dbqb\">\r\n");
	
	votesearch__loop__id=0;
	foreach(DataRow votesearch_member in getTable("votesearch","[id]$[title]").Rows)
	{
	if(votesearch__loop__id == 1 && votesearch__loop__id != 0) break;
		votesearch__loop__id++;
	templateBuilder.Append("<form onSubmit=\"this.action = '/0418/poll' + '.aspx'\" method=\"post\">\r\n");
	templateBuilder.Append("    <input type=\"hidden\" name=\"act\" value=\"poll\" /><input type=\"hidden\" name=\"vid\" value=\"" + votesearch_member["id"].ToString() + "\" /> <div style=\"padding-bottom: 3px; color: rgb(51,51,51); padding-top: 6px\">" + left(votesearch_member["title"].ToString(),30) + "</div>\r\n");
	templateBuilder.Append("    <div>\r\n");
	templateBuilder.Append("    " + votesearch_member["votecontent"].ToString() + "</div>\r\n");
	templateBuilder.Append("   <div style=\"text-align: center\">\r\n");
	templateBuilder.Append("    <input type=\"submit\" src=\"images/index/pollb1.gif\" onclick=\"return SubmitVote()\" value=\"马上投票\" /></div>\r\n");
	templateBuilder.Append("</form>\r\n");
	
	}	//end loop
	templateBuilder.Append("</div></div>\r\n");
	templateBuilder.Append("        <div class=\"div1m\">\r\n");
	templateBuilder.Append("        <div class=\"div1mbanner\">\r\n");
	templateBuilder.Append("		<script language=\"javascript\" src=\"Show/7e8e3a0c-318d-40ee-a8e8-398e7e98fb55.js\"></"+"script>\r\n");
	templateBuilder.Append("		\r\n");
	templateBuilder.Append("		</div>\r\n");
	templateBuilder.Append("		\r\n");
	templateBuilder.Append("		\r\n");
	templateBuilder.Append("		\r\n");
	templateBuilder.Append("        <div class=\"div1mad\">\r\n");
	templateBuilder.Append("		 <div class=\"div1madl\"><img id=\"leftbutton\" src=\"images/index/key_pre0.gif\" style=\"cursor:pointer;\" alt=\"点击左移\" onclick=\"MoveRight()\" /></div>\r\n");
	templateBuilder.Append("	  <div style=\"width:500px;float:left; overflow:hidden;\">\r\n");
	templateBuilder.Append("	  <div class=\"div1madm\" id=\"movepart\">\r\n");
	templateBuilder.Append("	    \r\n");
	
	productsearch__loop__id=0;
	foreach(DataRow productsearch_member in getTable("productsearch","0,10,0,0,HitCount,DESC,0,0,0,[id]$[name]$[srcdetail],1,["+wd+"],["+vid+"],["+pid+"],["+brandid+"],[0],[0],["+startprice+"],["+endprice+"],["+shortname+"]").Rows)
	{
	if(productsearch__loop__id == 10 && productsearch__loop__id != 0) break;
		productsearch__loop__id++;
	templateBuilder.Append("<div><a target=\"_blank\" href=\"/0418/product.aspx?id=" + productsearch_member["id"].ToString() + "\"><img alt=\"" + left(productsearch_member["name"].ToString(),12) + "\" border=\"0\" src='" + gettmpimg(productsearch_member["srcdetail"].ToString(),90,90) + "' width='90' height='90'  /></a><br />\r\n");
	templateBuilder.Append("<a title=\"" + left(productsearch_member["name"].ToString(),12) + "\" href=\"/0418/product.aspx?id=" + productsearch_member["id"].ToString() + "\">" + left(productsearch_member["name"].ToString(),12) + "</a></div>\r\n");
	
	}	//end loop
	templateBuilder.Append("\r\n");
	templateBuilder.Append("	  </div>\r\n");
	templateBuilder.Append("	  </div>\r\n");
	templateBuilder.Append("		  <script language=\"javascript\" src=\"js/index.js\"></"+"script>\r\n");
	templateBuilder.Append("	 		<div class=\"div1madr\"><img id=\"rightbutton\" src=\"images/index/key_next.gif\" style=\"cursor:pointer;\" alt=\"点击右移\" onclick=\"MoveLeft()\" /></div>\r\n");
	templateBuilder.Append("		</div>\r\n");
	templateBuilder.Append("       <div class=\"div1mshuxin\">\r\n");
	templateBuilder.Append("<div class=\"shuxinselect\"><a onclick=\"selecttab(this,'shuxinselect','shuxindefault','','special');\" href=\"javascript:void(0);\">最新上柜 NEW</a></div>\r\n");
	templateBuilder.Append("<div class=\"shuxindefault\"><a onclick=\"selecttab(this,'shuxinselect','shuxindefault','','special');\" href=\"javascript:void(0);\">消费推荐 BEST</a></div>\r\n");
	templateBuilder.Append("<div class=\"shuxindefault\"><a onclick=\"selecttab(this,'shuxinselect','shuxindefault','','special');\" href=\"javascript:void(0);\">卖场特卖 SALE</a></div>\r\n");
	templateBuilder.Append("<div class=\"shuxindefault\"><a onclick=\"selecttab(this,'shuxinselect','shuxindefault','','special');\" href=\"javascript:void(0);\">人气关注 HOT</a></div>\r\n");
	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("<div class=\"div1mshuxinlist\">\r\n");
	templateBuilder.Append("<div id=\"special_0\">\r\n");
	
	productsearch__loop__id=0;
	foreach(DataRow productsearch_member in getTable("productsearch","0,4,0,0,OrderID,DESC,0,0,0,[id]$[name]$[srcdetail]$[marketprice]$[memberprice],4,["+wd+"],["+vid+"],["+pid+"],["+brandid+"],[0],[0],["+startprice+"],["+endprice+"],["+shortname+"]").Rows)
	{
	if(productsearch__loop__id == 4 && productsearch__loop__id != 0) break;
		productsearch__loop__id++;
	templateBuilder.Append("<div><a target=\"_blank\" href=\"/0418/product.aspx?id=" + productsearch_member["id"].ToString() + "\"><img alt=\"" + left(productsearch_member["name"].ToString(),15) + "\" border=\"0\" src='" + gettmpimg(productsearch_member["srcdetail"].ToString(),100,100) + "' width='100' height='100'  /></a><br />\r\n");
	templateBuilder.Append("<a title=\"" + left(productsearch_member["name"].ToString(),15) + "\" href=\"/0418/product.aspx?id=" + productsearch_member["id"].ToString() + "\">" + left(productsearch_member["name"].ToString(),15) + "</a><br />\r\n");
	templateBuilder.Append("<br />\r\n");
	templateBuilder.Append("<span class=\"div1mshuxinlistspan1\">￥" + productsearch_member["marketprice"].ToString() + "</span><br />\r\n");
	templateBuilder.Append("<span class=\"div1mshuxinlistspan2\">￥" + productsearch_member["memberprice"].ToString() + "元</span></div>\r\n");
	
	}	//end loop
	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("<div id=\"special_1\" style=\"display: none\">\r\n");
	
	productsearch__loop__id=0;
	foreach(DataRow productsearch_member in getTable("productsearch","0,4,0,0,OrderID,DESC,0,0,0,[id]$[name]$[srcdetail]$[marketprice]$[memberprice],1,["+wd+"],["+vid+"],["+pid+"],["+brandid+"],[0],[0],["+startprice+"],["+endprice+"],["+shortname+"]").Rows)
	{
	if(productsearch__loop__id == 4 && productsearch__loop__id != 0) break;
		productsearch__loop__id++;
	templateBuilder.Append("<div><a target=\"_blank\" href=\"/0418/product.aspx?id=" + productsearch_member["id"].ToString() + "\"><img alt=\"" + left(productsearch_member["name"].ToString(),15) + "\" border=\"0\" src='" + gettmpimg(productsearch_member["srcdetail"].ToString(),100,100) + "' width='100' height='100'  /></a><br />\r\n");
	templateBuilder.Append("<a title=\"" + left(productsearch_member["name"].ToString(),15) + "\" href=\"/0418/product.aspx?id=" + productsearch_member["id"].ToString() + "\">" + left(productsearch_member["name"].ToString(),15) + "</a><br />\r\n");
	templateBuilder.Append("<br />\r\n");
	templateBuilder.Append("<span class=\"div1mshuxinlistspan1\">￥" + productsearch_member["marketprice"].ToString() + "</span><br />\r\n");
	templateBuilder.Append("<span class=\"div1mshuxinlistspan2\">￥" + productsearch_member["memberprice"].ToString() + "元</span></div>\r\n");
	
	}	//end loop
	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("<div id=\"special_2\" style=\"display: none\">\r\n");
	
	productsearch__loop__id=0;
	foreach(DataRow productsearch_member in getTable("productsearch","0,4,0,0,OrderID,DESC,0,0,0,[id]$[name]$[srcdetail]$[marketprice]$[memberprice],3,["+wd+"],["+vid+"],["+pid+"],["+brandid+"],[0],[0],["+startprice+"],["+endprice+"],["+shortname+"]").Rows)
	{
	if(productsearch__loop__id == 4 && productsearch__loop__id != 0) break;
		productsearch__loop__id++;
	templateBuilder.Append("<div><a target=\"_blank\" href=\"/0418/product.aspx?id=" + productsearch_member["id"].ToString() + "\"><img alt=\"" + left(productsearch_member["name"].ToString(),15) + "\" border=\"0\" src='" + gettmpimg(productsearch_member["srcdetail"].ToString(),100,100) + "' width='100' height='100'  /></a><br />\r\n");
	templateBuilder.Append("<a title=\"" + left(productsearch_member["name"].ToString(),15) + "\" href=\"/0418/product.aspx?id=" + productsearch_member["id"].ToString() + "\">" + left(productsearch_member["name"].ToString(),15) + "</a><br />\r\n");
	templateBuilder.Append("<br />\r\n");
	templateBuilder.Append("<span class=\"div1mshuxinlistspan1\">￥" + productsearch_member["marketprice"].ToString() + "</span><br />\r\n");
	templateBuilder.Append("<span class=\"div1mshuxinlistspan2\">￥" + productsearch_member["memberprice"].ToString() + "元</span></div>\r\n");
	
	}	//end loop
	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("<div id=\"special_3\" style=\"display: none\">\r\n");
	
	productsearch__loop__id=0;
	foreach(DataRow productsearch_member in getTable("productsearch","0,4,0,0,OrderID,DESC,0,0,0,[id]$[name]$[srcdetail]$[marketprice]$[memberprice],2,["+wd+"],["+vid+"],["+pid+"],["+brandid+"],[0],[0],["+startprice+"],["+endprice+"],["+shortname+"]").Rows)
	{
	if(productsearch__loop__id == 4 && productsearch__loop__id != 0) break;
		productsearch__loop__id++;
	templateBuilder.Append("<div><a target=\"_blank\" href=\"/0418/product.aspx?id=" + productsearch_member["id"].ToString() + "\"><img alt=\"" + left(productsearch_member["name"].ToString(),15) + "\" border=\"0\" src='" + gettmpimg(productsearch_member["srcdetail"].ToString(),100,100) + "' width='100' height='100'  /></a><br />\r\n");
	templateBuilder.Append("<a title=\"" + left(productsearch_member["name"].ToString(),15) + "\" href=\"/0418/product.aspx?id=" + productsearch_member["id"].ToString() + "\">" + left(productsearch_member["name"].ToString(),15) + "</a><br />\r\n");
	templateBuilder.Append("<br />\r\n");
	templateBuilder.Append("<span class=\"div1mshuxinlistspan1\">￥" + productsearch_member["marketprice"].ToString() + "</span><br />\r\n");
	templateBuilder.Append("<span class=\"div1mshuxinlistspan2\">￥" + productsearch_member["memberprice"].ToString() + "元</span></div>\r\n");
	
	}	//end loop
	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("        </div>\r\n");
	templateBuilder.Append("        <div class=\"div1r\">\r\n");
	templateBuilder.Append("        <div class=\"div1rbanner\"><script language=\"javascript\" src=\"Show/e242300b-b7d1-498d-bc9a-fe7a70a1d32b.js\"></"+"script></div>\r\n");
	templateBuilder.Append("        \r\n");
	templateBuilder.Append("		\r\n");
	templateBuilder.Append("		        <div class=\"div1rnotice\"><div>\r\n");
	
	noticesearch__loop__id=0;
	foreach(DataRow noticesearch_member in getTable("noticesearch","2,0,OrderID,ASC,0,[id]$[date]$[title]").Rows)
	{
	if(noticesearch__loop__id == 2 && noticesearch__loop__id != 0) break;
		noticesearch__loop__id++;
	templateBuilder.Append("<span>" + ConvertDate(noticesearch_member["date"].ToString(),"YY04.MM.DD") + "</span><br />\r\n");
	templateBuilder.Append("<a title=\"" + noticesearch_member["title"].ToString() + "\" target=\"_blank\" href=\"/0418/notice.aspx?id=" + noticesearch_member["id"].ToString() + "\">" + left(noticesearch_member["title"].ToString(),8) + "</a><br />\r\n");
	
	}	//end loop
	templateBuilder.Append("<p><a href=\"/0418/noticelist.aspx\" target=\"_blank\"><img src=\"images/index/morekey2.gif\" border=\"0\"/></a></p></div></div>\r\n");
	templateBuilder.Append("	\r\n");
	templateBuilder.Append("        \r\n");
	templateBuilder.Append("        <div class=\"div1tgspt\"></div><div class=\"div1tgspbg\"><div class=\"div1tgsp\"><ul>\r\n");
	
	groupbuysearch__loop__id=0;
	foreach(DataRow groupbuysearch_member in getTable("groupbuysearch","4,OrderID,ASC,0,[id]$[srclist]$[name]$[marketprice]$[price]$[startdate]").Rows)
	{
	if(groupbuysearch__loop__id == 4 && groupbuysearch__loop__id != 0) break;
		groupbuysearch__loop__id++;
	templateBuilder.Append("<li><span><a target=\"_blank\" href=\"/0418/groupbuy.aspx?id=" + groupbuysearch_member["id"].ToString() + "\"><img alt=\"\" src='" + gettmpimg(groupbuysearch_member["srclist"].ToString(),60,60) + "' width='60' height='60'  /></a></span>\r\n");
	templateBuilder.Append("<div><b><a target=\"_blank\" href=\"/0418/groupbuy.aspx?id=" + groupbuysearch_member["id"].ToString() + "\">" + left(groupbuysearch_member["name"].ToString(),6) + "</a></b><br />\r\n");
	templateBuilder.Append("<img alt=\"\" src=\"images/index/icon_price1.gif\" /> <s>￥" + groupbuysearch_member["marketprice"].ToString() + "</s><br />\r\n");
	templateBuilder.Append("<img alt=\"\" src=\"images/index/icon_price2.gif\" /> ￥" + groupbuysearch_member["price"].ToString() + "<br />\r\n");
	templateBuilder.Append("<span>" + ConvertDate(groupbuysearch_member["startdate"].ToString(),"YY04.MM.DD") + "</span></div></li>\r\n");
	
	if((groupbuysearch__loop__id % 1 == 0)){
	templateBuilder.Append("</ul><ul>\r\n");
	
	}	//end if
	templateBuilder.Append("\r\n");
	
	}	//end loop
	templateBuilder.Append("</ul> <a href=\"/0418/groupbuyindex.aspx\"><img alt=\"\" border=\"0\" src=\"images/index/tgzqkey.gif\" /></a></div></div><div class=\"div1tgspb\"></div>\r\n");
	templateBuilder.Append("        \r\n");
	templateBuilder.Append("        </div>\r\n");
	templateBuilder.Append("        </div>\r\n");
	templateBuilder.Append("        <div class=\"div2\">\r\n");
	templateBuilder.Append("        <div class=\"div2l\">\r\n");
	templateBuilder.Append("        <div class=\"div2ad\"><script language=\"javascript\" src=\"Show/09719df7-9034-4e92-9f74-4411fae68a6c.js\"></"+"script></div>\r\n");
	templateBuilder.Append("        <div><script language=\"javascript\" src=\"Show/a7406032-5d0c-494c-859b-4a4da1a48f91.js\"></"+"script></div>\r\n");
	templateBuilder.Append("        </div>\r\n");
	templateBuilder.Append("        <div class=\"div2m\">\r\n");
	templateBuilder.Append("        <div class=\"div2m1\">\r\n");
	templateBuilder.Append("        <div class=\"div2m1l\">\r\n");
	templateBuilder.Append("        <div class=\"div2label1\"><a target=\"_blank\" href=\"/0418/articleindex.aspx\"><img alt=\"\" border=\"0\" src=\"images/index/eventslabel.gif\" /></a></div><div class=\"indexevents\">\r\n");
	
	articlesearch__loop__id=0;
	foreach(DataRow articlesearch_member in getTable("articlesearch","0,1,99999,0,OrderID,ASC,0,["+wd+"],0,[id]$[title]$[articlereview],0").Rows)
	{
	if(articlesearch__loop__id == 1 && articlesearch__loop__id != 0) break;
		articlesearch__loop__id++;
	templateBuilder.Append("<a title=\"" + articlesearch_member["title"].ToString() + "\" href=\"/0418/article.aspx?id=" + articlesearch_member["id"].ToString() + "\">" + left(articlesearch_member["title"].ToString(),20) + "</a><br />\r\n");
	templateBuilder.Append("" + left(articlesearch_member["articlereview"].ToString(),0) + "\r\n");
	
	}	//end loop
	templateBuilder.Append("</div><div id=\"indexevents\"><ul>\r\n");
	
	articlesearch__loop__id=0;
	foreach(DataRow articlesearch_member in getTable("articlesearch","0,5,99999,0,OrderID,ASC,0,["+wd+"],2,[id]$[title],0").Rows)
	{
	if(articlesearch__loop__id == 5 && articlesearch__loop__id != 0) break;
		articlesearch__loop__id++;
	templateBuilder.Append("<li><a title=\"" + articlesearch_member["title"].ToString() + "\" href=\"/0418/article.aspx?id=" + articlesearch_member["id"].ToString() + "\">" + left(articlesearch_member["title"].ToString(),20) + "</a><br /></li>\r\n");
	
	if((articlesearch__loop__id % 1 == 0)){
	templateBuilder.Append("</ul><ul>\r\n");
	
	}	//end if
	templateBuilder.Append("\r\n");
	
	}	//end loop
	templateBuilder.Append("</ul></div>\r\n");
	templateBuilder.Append("        </div>\r\n");
	templateBuilder.Append("        <div class=\"div2m1r\">\r\n");
	templateBuilder.Append("        <div class=\"div2label1\"><a target=\"_blank\" href=\"/0418/activityindex.aspx\"><img alt=\"\" border=\"0\" src=\"images/index/actlabel.gif\" /></a></div>\r\n");
	
	activitysearch__loop__id=0;
	foreach(DataRow activitysearch_member in getTable("activitysearch","2,OrderID,DESC,0,[id]$[name]$[srclist]").Rows)
	{
	if(activitysearch__loop__id == 2 && activitysearch__loop__id != 0) break;
		activitysearch__loop__id++;
	templateBuilder.Append("<div><a target=\"_blank\" href=\"/0418/act.aspx?id=" + activitysearch_member["id"].ToString() + "\"><img alt=\"" + left(activitysearch_member["name"].ToString(),0) + "\" src='" + gettmpimg(activitysearch_member["srclist"].ToString(),262,100) + "' width='262' height='100'  /></a></div>\r\n");
	
	}	//end loop
	templateBuilder.Append("\r\n");
	templateBuilder.Append("        </div>\r\n");
	templateBuilder.Append("        </div>\r\n");
	templateBuilder.Append("        <div class=\"div2label2\"><a target=\"_blank\" href=\"/0418/guideindex.aspx\"><img alt=\"\" border=\"0\" src=\"images/index/guidelabel.gif\" /></a></div><div class=\"div2guide\">\r\n");
	
	guidesearch__loop__id=0;
	foreach(DataRow guidesearch_member in getTable("guidesearch","3,OrderID,ASC,0,[id]$[name]$[srcdetail]").Rows)
	{
	if(guidesearch__loop__id == 3 && guidesearch__loop__id != 0) break;
		guidesearch__loop__id++;
	templateBuilder.Append("<div><a target=\"_blank\" href=\"/0418/guide.aspx?id=" + guidesearch_member["id"].ToString() + "\"><img alt=\"" + left(guidesearch_member["name"].ToString(),20) + "\" src='" + gettmpimg(guidesearch_member["srcdetail"].ToString(),172,134) + "' width='172' height='134'  /></a></div>\r\n");
	
	}	//end loop
	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("        </div>\r\n");
	templateBuilder.Append("        <div class=\"div2r\">\r\n");
	templateBuilder.Append("        <div class=\"div2ad\"><script language=\"javascript\" src=\"Show/0be3b3ab-ac58-4654-80ba-c57db5639009.js\"></"+"script></div>\r\n");
	templateBuilder.Append("        <div><script language=\"javascript\" src=\"Show/cbb2ded1-996d-4edc-bcc8-e111e456df4a.js\"></"+"script></div>\r\n");
	templateBuilder.Append("        </div>\r\n");
	templateBuilder.Append("        </div>\r\n");
	templateBuilder.Append("        <div class=\"div3\">\r\n");
	templateBuilder.Append("        <div class=\"div31\">\r\n");
	templateBuilder.Append("		<div class=\"div3label\"><a target=\"_blank\" href=\"/0418/snatchindex.aspx\"><img alt=\"\" border=\"0\" src=\"images/index/snatchlabel.gif\" /></a></div><div class=\"div31list\"><ul>\r\n");
	
	snatchsearch__loop__id=0;
	foreach(DataRow snatchsearch_member in getTable("snatchsearch","2,OrderID,DESC,0,[id]$[srclist]$[name]$[description]$[marketprice]").Rows)
	{
	if(snatchsearch__loop__id == 2 && snatchsearch__loop__id != 0) break;
		snatchsearch__loop__id++;
	templateBuilder.Append("<li><a target=\"_blank\" href=\"/0418/snatch.aspx?id=" + snatchsearch_member["id"].ToString() + "\"><img alt=\"\" src='" + gettmpimg(snatchsearch_member["srclist"].ToString(),90,90) + "' width='90' height='90'  /></a> <div><b><a target=\"_blank\" href=\"/0418/snatch.aspx?id=" + snatchsearch_member["id"].ToString() + "\">" + left(snatchsearch_member["name"].ToString(),20) + "</a></b><br /><span>" + snatchsearch_member["description"].ToString() + "</span><br />市场价：￥" + snatchsearch_member["marketprice"].ToString() + "<br /><a target=\"_blank\" href=\"/0418/snatch.aspx?id=" + snatchsearch_member["id"].ToString() + "\"><b style=\"color:#000000\">参与夺宝</b></a></div></li>\r\n");
	
	if((snatchsearch__loop__id % 1 == 0)){
	templateBuilder.Append("</ul><ul>\r\n");
	
	}	//end if
	templateBuilder.Append("\r\n");
	
	}	//end loop
	templateBuilder.Append("</ul></div> \r\n");
	templateBuilder.Append("        </div>\r\n");
	templateBuilder.Append("        <div class=\"div32\">\r\n");
	templateBuilder.Append("		<div class=\"div3label\"><a target=\"_blank\" href=\"/0418/brandindex.aspx\"><img alt=\"\" border=\"0\" src=\"images/index/brandlabel.gif\" /></a></div><div id=\"indexbrand\"><ul>\r\n");
	
	brandsearch__loop__id=0;
	foreach(DataRow brandsearch_member in getTable("brandsearch","10,OrderID,DESC,0,[id]$[name]$[srclist],["+r+"]").Rows)
	{
	if(brandsearch__loop__id == 10 && brandsearch__loop__id != 0) break;
		brandsearch__loop__id++;
	templateBuilder.Append("<li><a target=\"_blank\" href=\"/0418/brand.aspx?id=" + brandsearch_member["id"].ToString() + "\"><img alt=\"" + left(brandsearch_member["name"].ToString(),0) + "\" src='" + gettmpimg(brandsearch_member["srclist"].ToString(),85,35) + "' width='85' height='35'  /></a></li>\r\n");
	
	if((brandsearch__loop__id % 1 == 0)){
	templateBuilder.Append("</ul><ul>\r\n");
	
	}	//end if
	templateBuilder.Append("\r\n");
	
	}	//end loop
	templateBuilder.Append("</ul></div>\r\n");
	templateBuilder.Append("        </div>\r\n");
	templateBuilder.Append("        <div class=\"div33\">\r\n");
	templateBuilder.Append("        <div class=\"div3label\"><a target=\"_blank\" href=\"/0418/scoreindex.aspx\"><img alt=\"\" border=\"0\" src=\"images/index/scorelabel.gif\" /></a></div><div id=\"indexscore\"><ul>\r\n");
	
	productsearch__loop__id=0;
	foreach(DataRow productsearch_member in getTable("productsearch","0,10,0,0,OrderID,ASC,0,0,0,[id]$[name]$[changescore],6,["+wd+"],["+vid+"],["+pid+"],["+brandid+"],[0],[0],["+startprice+"],["+endprice+"],["+shortname+"]").Rows)
	{
	if(productsearch__loop__id == 10 && productsearch__loop__id != 0) break;
		productsearch__loop__id++;
	templateBuilder.Append("<li><a title=\"" + left(productsearch_member["name"].ToString(),8) + "\" href=\"/0418/product.aspx?id=" + productsearch_member["id"].ToString() + "\">" + left(productsearch_member["name"].ToString(),8) + "</a> sco." + productsearch_member["changescore"].ToString() + "</li>\r\n");
	
	if((productsearch__loop__id % 20 == 0)){
	templateBuilder.Append("</ul><ul>\r\n");
	
	}	//end if
	templateBuilder.Append("\r\n");
	
	}	//end loop
	templateBuilder.Append("</ul></div>\r\n");
	templateBuilder.Append("        </div>\r\n");
	templateBuilder.Append("        <div class=\"div34\">\r\n");
	templateBuilder.Append("		<div class=\"div3label\"><a target=\"_blank\" href=\"/0418/couponindex.aspx\"><img height=\"42\" alt=\"\" width=\"151\" border=\"0\" src=\"images/index/couponlabel.gif\" /></a></div><div id=\"indexcoupon\"><ul>\r\n");
	
	couponsearch__loop__id=0;
	foreach(DataRow couponsearch_member in getTable("couponsearch","10,OrderID,ASC,0,[id]$[name]$[minusprice]").Rows)
	{
	if(couponsearch__loop__id == 10 && couponsearch__loop__id != 0) break;
		couponsearch__loop__id++;
	templateBuilder.Append("<li><a title=\"" + left(couponsearch_member["name"].ToString(),8) + "\" target=\"_blank\" href=\"/0418/couponindex.aspx\">" + left(couponsearch_member["name"].ToString(),8) + "</a> Y" + couponsearch_member["minusprice"].ToString() + "</li>\r\n");
	
	if((couponsearch__loop__id % 1 == 0)){
	templateBuilder.Append("</ul><ul>\r\n");
	
	}	//end if
	templateBuilder.Append("\r\n");
	
	}	//end loop
	templateBuilder.Append("</ul></div>\r\n");
	templateBuilder.Append("        </div>\r\n");
	templateBuilder.Append("        </div>\r\n");
	templateBuilder.Append("        <div class=\"list1\">\r\n");
	templateBuilder.Append("		<div class=\"list1label\">\r\n");
	templateBuilder.Append("<div class=\"list1labell\">\r\n");
	
	categorysearch__loop__id=0;
	foreach(DataRow categorysearch_member in getTable("categorysearch","0,1,0,0,[id]$[name]$[englishname]").Rows)
	{
	if(categorysearch__loop__id == 1 && categorysearch__loop__id != 0) break;
		categorysearch__loop__id++;
	templateBuilder.Append("" + left(categorysearch_member["name"].ToString(),0) + " <font color=\"#b5b5b5\">" + categorysearch_member["englishname"].ToString() + "</font>\r\n");
	
	}	//end loop
	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("<div class=\"list1labelr\">\r\n");
	
	categorysearch__loop__id=0;
	foreach(DataRow categorysearch_member in getTable("categorysearch","0,10,1,0,[id]$[name]").Rows)
	{
	if(categorysearch__loop__id == 10 && categorysearch__loop__id != 0) break;
		categorysearch__loop__id++;
	templateBuilder.Append("<a title=\"" + left(categorysearch_member["name"].ToString(),0) + "\" href=\"/0418/list.aspx?id=" + categorysearch_member["id"].ToString() + "\">" + left(categorysearch_member["name"].ToString(),0) + "</a>&nbsp;|\r\n");
	
	}	//end loop
	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("<div class=\"list1labelm\">\r\n");
	
	categorysearch__loop__id=0;
	foreach(DataRow categorysearch_member in getTable("categorysearch","0,1,0,0,[id]").Rows)
	{
	if(categorysearch__loop__id == 1 && categorysearch__loop__id != 0) break;
		categorysearch__loop__id++;
	templateBuilder.Append("<a target=\"_blank\" href=\"/0418/list.aspx?id=" + categorysearch_member["id"].ToString() + "\"><img alt=\"\" border=\"0\" src=\"images/index/listmore.gif\" /></a>\r\n");
	
	}	//end loop
	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("<div class=\"list1m\">\r\n");
	templateBuilder.Append("<div class=\"list1ml\">\r\n");
	
	categorysearch__loop__id=0;
	foreach(DataRow categorysearch_member in getTable("categorysearch","0,1,0,0,[id]$[name]$[srclist]").Rows)
	{
	if(categorysearch__loop__id == 1 && categorysearch__loop__id != 0) break;
		categorysearch__loop__id++;
	templateBuilder.Append("<a target=\"_blank\" href=\"/0418/list.aspx?id=" + categorysearch_member["id"].ToString() + "\"><img alt=\"" + left(categorysearch_member["name"].ToString(),0) + "\" border=\"0\" src='" + gettmpimg(categorysearch_member["srclist"].ToString(),176,344) + "' width='176' height='344'  /></a>\r\n");
	
	}	//end loop
	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("<div class=\"list1mr\">\r\n");
	templateBuilder.Append("<div class=\"list1mrlabel\">\r\n");
	templateBuilder.Append("<div class=\"list1mrnull\"></div>\r\n");
	templateBuilder.Append("<div class=\"listdefault\"><a onclick=\"selecttab(this, 'listselect', 'listdefault', 'list1mrnull','categoryarea')\" href=\"javascript:void(0);\">BEST</a></div>\r\n");
	templateBuilder.Append("<div class=\"listdefault\"><a onclick=\"selecttab(this, 'listselect', 'listdefault', 'list1mrnull','categoryarea')\" href=\"javascript:void(0);\">SALE</a></div>\r\n");
	templateBuilder.Append("<div class=\"listdefault\"><a onclick=\"selecttab(this, 'listselect', 'listdefault', 'list1mrnull','categoryarea')\" href=\"javascript:void(0);\">NEW</a></div>\r\n");
	templateBuilder.Append("<div class=\"listselect\"><a onclick=\"selecttab(this, 'listselect', 'listdefault', 'list1mrnull','categoryarea')\" href=\"javascript:void(0);\">HOT</a></div>\r\n");
	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("<div class=\"list1mlist\" id=\"categoryarea_1\" style=\"display: none\">\r\n");
	templateBuilder.Append("<div><ul>\r\n");
	
	productsearch__loop__id=0;
	foreach(DataRow productsearch_member in getTable("productsearch","0,10,0,0,OrderID,DESC,1,0,0,[id]$[name]$[srcdetail]$[MemberPrice],1,["+wd+"],["+vid+"],["+pid+"],["+brandid+"],[0],[0],["+startprice+"],["+endprice+"],["+shortname+"]").Rows)
	{
	if(productsearch__loop__id == 10 && productsearch__loop__id != 0) break;
		productsearch__loop__id++;
	templateBuilder.Append("<li><a target=\"_blank\" href=\"/0418/product.aspx?id=" + productsearch_member["id"].ToString() + "\"><img height=\"90\" alt=\"" + left(productsearch_member["name"].ToString(),16) + "\" width=\"90\" src='" + gettmpimg(productsearch_member["srcdetail"].ToString(),90,90) + "' width='90' height='90'  /></a><br />\r\n");
	templateBuilder.Append("" + left(productsearch_member["Name"].ToString(),16) + "<br />\r\n");
	templateBuilder.Append("<b>￥" + productsearch_member["MemberPrice"].ToString() + "</b></li>\r\n");
	
	if((productsearch__loop__id % 5 == 0)){
	templateBuilder.Append("</ul><ul>\r\n");
	
	}	//end if
	templateBuilder.Append("\r\n");
	
	}	//end loop
	templateBuilder.Append("</ul></div>\r\n");
	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("<div class=\"list1mlist\" id=\"categoryarea_2\" style=\"display: none\">\r\n");
	templateBuilder.Append("<div><ul>\r\n");
	
	productsearch__loop__id=0;
	foreach(DataRow productsearch_member in getTable("productsearch","0,10,0,0,OrderID,DESC,1,0,0,[id]$[name]$[srcdetail]$[MemberPrice],2,["+wd+"],["+vid+"],["+pid+"],["+brandid+"],[0],[0],["+startprice+"],["+endprice+"],["+shortname+"]").Rows)
	{
	if(productsearch__loop__id == 10 && productsearch__loop__id != 0) break;
		productsearch__loop__id++;
	templateBuilder.Append("<li><a target=\"_blank\" href=\"/0418/product.aspx?id=" + productsearch_member["id"].ToString() + "\"><img height=\"90\" alt=\"" + left(productsearch_member["name"].ToString(),16) + "\" width=\"90\" src='" + gettmpimg(productsearch_member["srcdetail"].ToString(),90,90) + "' width='90' height='90'  /></a><br />\r\n");
	templateBuilder.Append("" + left(productsearch_member["Name"].ToString(),16) + "<br />\r\n");
	templateBuilder.Append("<b>￥" + productsearch_member["MemberPrice"].ToString() + "</b></li>\r\n");
	
	if((productsearch__loop__id % 5 == 0)){
	templateBuilder.Append("</ul><ul>\r\n");
	
	}	//end if
	templateBuilder.Append("\r\n");
	
	}	//end loop
	templateBuilder.Append("</ul></div>\r\n");
	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("<div class=\"list1mlist\" id=\"categoryarea_3\" style=\"display: none\">\r\n");
	templateBuilder.Append("<div><ul>\r\n");
	
	productsearch__loop__id=0;
	foreach(DataRow productsearch_member in getTable("productsearch","0,10,0,0,OrderID,DESC,1,0,0,[id]$[name]$[srcdetail]$[MemberPrice],3,["+wd+"],["+vid+"],["+pid+"],["+brandid+"],[0],[0],["+startprice+"],["+endprice+"],["+shortname+"]").Rows)
	{
	if(productsearch__loop__id == 10 && productsearch__loop__id != 0) break;
		productsearch__loop__id++;
	templateBuilder.Append("<li><a target=\"_blank\" href=\"/0418/product.aspx?id=" + productsearch_member["id"].ToString() + "\"><img height=\"90\" alt=\"" + left(productsearch_member["name"].ToString(),16) + "\" width=\"90\" src='" + gettmpimg(productsearch_member["srcdetail"].ToString(),90,90) + "' width='90' height='90'  /></a><br />\r\n");
	templateBuilder.Append("" + left(productsearch_member["Name"].ToString(),16) + "<br />\r\n");
	templateBuilder.Append("<b>￥" + productsearch_member["MemberPrice"].ToString() + "</b></li>\r\n");
	
	if((productsearch__loop__id % 5 == 0)){
	templateBuilder.Append("</ul><ul>\r\n");
	
	}	//end if
	templateBuilder.Append("\r\n");
	
	}	//end loop
	templateBuilder.Append("</ul></div>\r\n");
	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("<div class=\"list1mlist\" id=\"categoryarea_4\">\r\n");
	templateBuilder.Append("<div><ul>\r\n");
	
	productsearch__loop__id=0;
	foreach(DataRow productsearch_member in getTable("productsearch","0,10,0,0,OrderID,DESC,1,0,0,[id]$[name]$[srcdetail]$[MemberPrice],4,["+wd+"],["+vid+"],["+pid+"],["+brandid+"],[0],[0],["+startprice+"],["+endprice+"],["+shortname+"]").Rows)
	{
	if(productsearch__loop__id == 10 && productsearch__loop__id != 0) break;
		productsearch__loop__id++;
	templateBuilder.Append("<li><a target=\"_blank\" href=\"/0418/product.aspx?id=" + productsearch_member["id"].ToString() + "\"><img height=\"90\" alt=\"" + left(productsearch_member["name"].ToString(),16) + "\" width=\"90\" src='" + gettmpimg(productsearch_member["srcdetail"].ToString(),90,90) + "' width='90' height='90'  /></a><br />\r\n");
	templateBuilder.Append("" + left(productsearch_member["Name"].ToString(),16) + "<br />\r\n");
	templateBuilder.Append("<b>￥" + productsearch_member["MemberPrice"].ToString() + "</b></li>\r\n");
	
	if((productsearch__loop__id % 5 == 0)){
	templateBuilder.Append("</ul><ul>\r\n");
	
	}	//end if
	templateBuilder.Append("\r\n");
	
	}	//end loop
	templateBuilder.Append("</ul></div>\r\n");
	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("<div class=\"list1mb\"><img alt=\"\" src=\"images/index/listbgb.gif\" /></div>\r\n");
	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("<br />\r\n");
	templateBuilder.Append("        </div>        \r\n");
	templateBuilder.Append("        <div class=\"list1\">\r\n");
	templateBuilder.Append("		<div class=\"list1label\">\r\n");
	templateBuilder.Append("<div class=\"list1labell\">\r\n");
	
	categorysearch__loop__id=0;
	foreach(DataRow categorysearch_member in getTable("categorysearch","0,1,0,1,[id]$[name]$[englishname]").Rows)
	{
	if(categorysearch__loop__id == 1 && categorysearch__loop__id != 0) break;
		categorysearch__loop__id++;
	templateBuilder.Append("" + left(categorysearch_member["name"].ToString(),0) + " <font color=\"#b5b5b5\">" + categorysearch_member["englishname"].ToString() + "</font>\r\n");
	
	}	//end loop
	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("<div class=\"list1labelr\">\r\n");
	
	categorysearch__loop__id=0;
	foreach(DataRow categorysearch_member in getTable("categorysearch","0,10,2,0,[id]$[name]").Rows)
	{
	if(categorysearch__loop__id == 10 && categorysearch__loop__id != 0) break;
		categorysearch__loop__id++;
	templateBuilder.Append("<a title=\"" + left(categorysearch_member["name"].ToString(),0) + "\" href=\"/0418/list.aspx?id=" + categorysearch_member["id"].ToString() + "\">" + left(categorysearch_member["name"].ToString(),0) + "</a>&nbsp;|\r\n");
	
	}	//end loop
	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("<div class=\"list1labelm\">\r\n");
	
	categorysearch__loop__id=0;
	foreach(DataRow categorysearch_member in getTable("categorysearch","0,1,0,1,[id]").Rows)
	{
	if(categorysearch__loop__id == 1 && categorysearch__loop__id != 0) break;
		categorysearch__loop__id++;
	templateBuilder.Append("<a target=\"_blank\" href=\"/0418/list.aspx?id=" + categorysearch_member["id"].ToString() + "\"><img alt=\"\" border=\"0\" src=\"images/index/listmore.gif\" /></a>\r\n");
	
	}	//end loop
	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("<div class=\"list1m\">\r\n");
	templateBuilder.Append("<div class=\"list1ml\">\r\n");
	
	categorysearch__loop__id=0;
	foreach(DataRow categorysearch_member in getTable("categorysearch","0,1,0,1,[id]$[name]$[srclist]").Rows)
	{
	if(categorysearch__loop__id == 1 && categorysearch__loop__id != 0) break;
		categorysearch__loop__id++;
	templateBuilder.Append("<a target=\"_blank\" href=\"/0418/list.aspx?id=" + categorysearch_member["id"].ToString() + "\"><img alt=\"" + left(categorysearch_member["name"].ToString(),0) + "\" border=\"0\" src='" + gettmpimg(categorysearch_member["srclist"].ToString(),176,344) + "' width='176' height='344'  /></a>\r\n");
	
	}	//end loop
	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("<div class=\"list1mr\">\r\n");
	templateBuilder.Append("<div class=\"list1mrlabel\">\r\n");
	templateBuilder.Append("<div class=\"list1mrnull\"></div>\r\n");
	templateBuilder.Append("<div class=\"listdefault\"><a onclick=\"selecttab(this, 'listselect', 'listdefault', 'list1mrnull','categoryareas')\" href=\"javascript:void(0);\">BEST</a></div>\r\n");
	templateBuilder.Append("<div class=\"listdefault\"><a onclick=\"selecttab(this, 'listselect', 'listdefault', 'list1mrnull','categoryareas')\" href=\"javascript:void(0);\">SALE</a></div>\r\n");
	templateBuilder.Append("<div class=\"listdefault\"><a onclick=\"selecttab(this, 'listselect', 'listdefault', 'list1mrnull','categoryareas')\" href=\"javascript:void(0);\">NEW</a></div>\r\n");
	templateBuilder.Append("<div class=\"listselect\"><a onclick=\"selecttab(this, 'listselect', 'listdefault', 'list1mrnull','categoryareas')\" href=\"javascript:void(0);\">HOT</a></div>\r\n");
	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("<div class=\"list1mlist\" id=\"categoryareas_1\" style=\"display: none\">\r\n");
	templateBuilder.Append("<div><ul>\r\n");
	
	productsearch__loop__id=0;
	foreach(DataRow productsearch_member in getTable("productsearch","0,10,0,0,OrderID,DESC,2,0,0,[id]$[name]$[srcdetail]$[MemberPrice],1,["+wd+"],["+vid+"],["+pid+"],["+brandid+"],[0],[0],["+startprice+"],["+endprice+"],["+shortname+"]").Rows)
	{
	if(productsearch__loop__id == 10 && productsearch__loop__id != 0) break;
		productsearch__loop__id++;
	templateBuilder.Append("<li><a target=\"_blank\" href=\"/0418/product.aspx?id=" + productsearch_member["id"].ToString() + "\"><img height=\"90\" alt=\"" + left(productsearch_member["name"].ToString(),16) + "\" width=\"90\" src='" + gettmpimg(productsearch_member["srcdetail"].ToString(),90,90) + "' width='90' height='90'  /></a><br />\r\n");
	templateBuilder.Append("" + left(productsearch_member["Name"].ToString(),16) + "<br />\r\n");
	templateBuilder.Append("<b>￥" + productsearch_member["MemberPrice"].ToString() + "</b></li>\r\n");
	
	if((productsearch__loop__id % 5 == 0)){
	templateBuilder.Append("</ul><ul>\r\n");
	
	}	//end if
	templateBuilder.Append("\r\n");
	
	}	//end loop
	templateBuilder.Append("</ul></div>\r\n");
	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("<div class=\"list1mlist\" id=\"categoryareas_2\" style=\"display: none\">\r\n");
	templateBuilder.Append("<div><ul>\r\n");
	
	productsearch__loop__id=0;
	foreach(DataRow productsearch_member in getTable("productsearch","0,10,0,0,OrderID,DESC,2,0,0,[id]$[name]$[srcdetail]$[MemberPrice],2,["+wd+"],["+vid+"],["+pid+"],["+brandid+"],[0],[0],["+startprice+"],["+endprice+"],["+shortname+"]").Rows)
	{
	if(productsearch__loop__id == 10 && productsearch__loop__id != 0) break;
		productsearch__loop__id++;
	templateBuilder.Append("<li><a target=\"_blank\" href=\"/0418/product.aspx?id=" + productsearch_member["id"].ToString() + "\"><img height=\"90\" alt=\"" + left(productsearch_member["name"].ToString(),16) + "\" width=\"90\" src='" + gettmpimg(productsearch_member["srcdetail"].ToString(),90,90) + "' width='90' height='90'  /></a><br />\r\n");
	templateBuilder.Append("" + left(productsearch_member["Name"].ToString(),16) + "<br />\r\n");
	templateBuilder.Append("<b>￥" + productsearch_member["MemberPrice"].ToString() + "</b></li>\r\n");
	
	if((productsearch__loop__id % 5 == 0)){
	templateBuilder.Append("</ul><ul>\r\n");
	
	}	//end if
	templateBuilder.Append("\r\n");
	
	}	//end loop
	templateBuilder.Append("</ul></div>\r\n");
	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("<div class=\"list1mlist\" id=\"categoryareas_3\" style=\"display: none\">\r\n");
	templateBuilder.Append("<div><ul>\r\n");
	
	productsearch__loop__id=0;
	foreach(DataRow productsearch_member in getTable("productsearch","0,10,0,0,OrderID,DESC,2,0,0,[id]$[name]$[srcdetail]$[MemberPrice],3,["+wd+"],["+vid+"],["+pid+"],["+brandid+"],[0],[0],["+startprice+"],["+endprice+"],["+shortname+"]").Rows)
	{
	if(productsearch__loop__id == 10 && productsearch__loop__id != 0) break;
		productsearch__loop__id++;
	templateBuilder.Append("<li><a target=\"_blank\" href=\"/0418/product.aspx?id=" + productsearch_member["id"].ToString() + "\"><img height=\"90\" alt=\"" + left(productsearch_member["name"].ToString(),16) + "\" width=\"90\" src='" + gettmpimg(productsearch_member["srcdetail"].ToString(),90,90) + "' width='90' height='90'  /></a><br />\r\n");
	templateBuilder.Append("" + left(productsearch_member["Name"].ToString(),16) + "<br />\r\n");
	templateBuilder.Append("<b>￥" + productsearch_member["MemberPrice"].ToString() + "</b></li>\r\n");
	
	if((productsearch__loop__id % 5 == 0)){
	templateBuilder.Append("</ul><ul>\r\n");
	
	}	//end if
	templateBuilder.Append("\r\n");
	
	}	//end loop
	templateBuilder.Append("</ul></div>\r\n");
	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("<div class=\"list1mlist\" id=\"categoryareas_4\">\r\n");
	templateBuilder.Append("<div><ul>\r\n");
	
	productsearch__loop__id=0;
	foreach(DataRow productsearch_member in getTable("productsearch","0,10,0,0,OrderID,DESC,2,0,0,[id]$[name]$[srcdetail]$[MemberPrice],4,["+wd+"],["+vid+"],["+pid+"],["+brandid+"],[0],[0],["+startprice+"],["+endprice+"],["+shortname+"]").Rows)
	{
	if(productsearch__loop__id == 10 && productsearch__loop__id != 0) break;
		productsearch__loop__id++;
	templateBuilder.Append("<li><a target=\"_blank\" href=\"/0418/product.aspx?id=" + productsearch_member["id"].ToString() + "\"><img height=\"90\" alt=\"" + left(productsearch_member["name"].ToString(),16) + "\" width=\"90\" src='" + gettmpimg(productsearch_member["srcdetail"].ToString(),90,90) + "' width='90' height='90'  /></a><br />\r\n");
	templateBuilder.Append("" + left(productsearch_member["Name"].ToString(),16) + "<br />\r\n");
	templateBuilder.Append("<b>￥" + productsearch_member["MemberPrice"].ToString() + "</b></li>\r\n");
	
	if((productsearch__loop__id % 5 == 0)){
	templateBuilder.Append("</ul><ul>\r\n");
	
	}	//end if
	templateBuilder.Append("\r\n");
	
	}	//end loop
	templateBuilder.Append("</ul></div>\r\n");
	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("<div class=\"list1mb\"><img alt=\"\" src=\"images/index/listbgb.gif\" /></div>\r\n");
	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("        </div>\r\n");
	templateBuilder.Append("        <div class=\"bottom1\"><div class=\"bottom11\"><img alt=\"\" src=\"images/bottom/bgt.gif\" /></div><div class=\"bottom12\"><div class=\"bottom12m\"><div class=\"bottom12ml\"><div><img alt=\"\" src=\"images/bottom/helplabel.gif\" /></div><div class=\"bottom12mlkey\"><a target=\"_blank\" href=\"/0418/helpindex.aspx\">商城帮助</a></div><div class=\"bottom12mlkey\"><a target=\"_blank\" href=\"/0418/shippingadvice.aspx\">发货通知</a></div><div class=\"bottom12mlkey\"><a target=\"_blank\" href=\"/0418/poll.aspx\">问卷调查</a></div><div class=\"bottom12mlkey\"><a target=\"_blank\" href=\"/0418/subscription.aspx\">邮件订阅</a></div></div><div class=\"bottom12mr\"><ul>\r\n");
	
	helpcategorysearch__loop__id=0;
	foreach(DataRow helpcategorysearch_member in getTable("helpcategorysearch","[id]$[name]").Rows)
	{
	if(helpcategorysearch__loop__id == 6 && helpcategorysearch__loop__id != 0) break;
		helpcategorysearch__loop__id++;
	templateBuilder.Append("<li><div class=\"helpcate\"><a target=\"_blank\" href=\"/0418/helplist.aspx?id=" + helpcategorysearch_member["id"].ToString() + "\">" + left(helpcategorysearch_member["name"].ToString(),6) + "</a></div>\r\n");
	templateBuilder.Append("<div class=\"helplist\"><ul>\r\n");
	
	helpsearchbyid__loop__id=0;
	foreach(DataRow helpsearchbyid_member in getTable("helpsearchbyid","["+helpcategorysearch_member["id"]+"],[id]$[title]").Rows)
	{
	if(helpsearchbyid__loop__id == 5 && helpsearchbyid__loop__id != 0) break;
		helpsearchbyid__loop__id++;
	templateBuilder.Append("<li><a target=\"_blank\" href=\"/0418/help.aspx?id=" + helpsearchbyid_member["id"].ToString() + "\">" + left(helpsearchbyid_member["title"].ToString(),30) + "</a></li>\r\n");
	
	if((helpsearchbyid__loop__id % 1 == 0)){
	templateBuilder.Append("</ul><ul>\r\n");
	
	}	//end if
	templateBuilder.Append("\r\n");
	
	}	//end loop
	templateBuilder.Append("</ul></div></li>\r\n");
	
	if((helpcategorysearch__loop__id % 50 == 0)){
	templateBuilder.Append("</ul><ul>\r\n");
	
	}	//end if
	templateBuilder.Append("\r\n");
	
	}	//end loop
	templateBuilder.Append("</ul></div></div></div><div class=\"bottom11\"><img alt=\"\" src=\"images/bottom/bgb.gif\" /></div></div><div class=\"bottom2\">\r\n");
	templateBuilder.Append("  <div class=\"bottom2m\">\r\n");
	templateBuilder.Append("    <div id=\"link1\">\r\n");
	templateBuilder.Append("      <ul>\r\n");
	
	imglinksearch__loop__id=0;
	foreach(DataRow imglinksearch_member in getTable("imglinksearch","[id]$[href]$[name]$[src]").Rows)
	{
	if(imglinksearch__loop__id == 10 && imglinksearch__loop__id != 0) break;
		imglinksearch__loop__id++;
	templateBuilder.Append("<li><a target=\"_blank\" href=\"" + imglinksearch_member["href"].ToString() + "\"><img alt=\"" + left(imglinksearch_member["name"].ToString(),30) + "\" border=\"0\" src='" + gettmpimg(imglinksearch_member["src"].ToString(),100,33) + "' width='100' height='33'  /></a></li>\r\n");
	
	if((imglinksearch__loop__id % 100 == 0)){
	templateBuilder.Append("</ul><ul>\r\n");
	
	}	//end if
	templateBuilder.Append("\r\n");
	
	}	//end loop
	templateBuilder.Append("</ul>\r\n");
	templateBuilder.Append("    </div>\r\n");
	templateBuilder.Append("    <div id=\"link2\">\r\n");
	templateBuilder.Append("      <ul>\r\n");
	
	wordlinksearch__loop__id=0;
	foreach(DataRow wordlinksearch_member in getTable("wordlinksearch","[id]$[name]$[href]").Rows)
	{
	if(wordlinksearch__loop__id == 10 && wordlinksearch__loop__id != 0) break;
		wordlinksearch__loop__id++;
	templateBuilder.Append("<li><a title=\"" + left(wordlinksearch_member["name"].ToString(),30) + "\" target=\"_blank\" href=\"" + wordlinksearch_member["href"].ToString() + "\">" + left(wordlinksearch_member["name"].ToString(),30) + "</a></li>\r\n");
	
	if((wordlinksearch__loop__id % 10 == 0)){
	templateBuilder.Append("</ul><ul>\r\n");
	
	}	//end if
	templateBuilder.Append("\r\n");
	
	}	//end loop
	templateBuilder.Append("</ul>\r\n");
	templateBuilder.Append("    </div>\r\n");
	templateBuilder.Append("  </div>\r\n");
	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("<div class=\"bottom3\"><div class=\"bottom3l\"><a href=\"/0418/index.aspx\"><img alt=\"\" width=\"236\" border=\"0\" src=\"" + logo.ToString() + "\" /></a></div><div class=\"bottom3r\"><span class=\"bottom3rA\">\r\n");
	
	infosearch__loop__id=0;
	foreach(DataRow infosearch_member in getTable("infosearch","[id]$[title]$[byname]").Rows)
	{
	if(infosearch__loop__id == 9 && infosearch__loop__id != 0) break;
		infosearch__loop__id++;
	templateBuilder.Append("<a title=\"" + left(infosearch_member["title"].ToString(),6) + "\" target=\"_blank\" href=\"/0418/content.aspx?wd=" + infosearch_member["byname"].ToString() + "\">" + left(infosearch_member["title"].ToString(),6) + "</a> |\r\n");
	
	}	//end loop
	templateBuilder.Append(" <a target=\"_blank\" href=\"/0418/sitemap.aspx\">网站地图</a></span><br /><br />" + copyright.ToString() + " <br /><a target=\"_blank\" href=\"http://www.miibeian.gov.cn/\">" + icp.ToString() + "</a></div></div>" + jscontent.ToString() + " " + kft.ToString() + "<script src=\"/0418/js_floatqq.aspx\"></"+"script> </center>\r\n");
	templateBuilder.Append("		\r\n");
	templateBuilder.Append("    </body>\r\n");
	templateBuilder.Append("</html>\r\n");
	
templateBuilder.Append("<center style='font-size:12px;'>Designed By：<strong><a href='http://www.v5shop.com.cn/' target='_blank'>V5Shop</a></strong></center>");
	Response.Write(templateBuilder.ToString());
//init cache
	CacheManager testcaching = CacheFactory.GetCacheManager();
	if(!testcaching.Contains(Request.Url.ToString()))
	{
		testcaching.Add(Request.Url.ToString(), templateBuilder.ToString());
	}
}
</script>
